Skip to main content
GET
/
customers
/
{customerId}
/
paymentsources
List payment sources
curl --request GET \
  --url https://api.example.com/customers/{customerId}/paymentsources \
  --header 'Authorization: Bearer <token>' \
  --header 'x-environment: <x-environment>'
import requests

url = "https://api.example.com/customers/{customerId}/paymentsources"

headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-environment': '<x-environment>', Authorization: 'Bearer <token>'}
};

fetch('https://api.example.com/customers/{customerId}/paymentsources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "type": "<string>",
  "expiry": "2023-12-25",
  "provider": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Path Parameters

customerId
string<uuid>
required

Id of customer.

Query Parameters

filter
string[]

Optional filter(s) to apply. Multiple filters will be combined with 'and'.

orderby
string

Optional column to order by. Defaults to Id.

after
string

Paging token.

limit
integer<int32>
default:20

Optional limit of response. Value between 1 and 100, defaults to 20.

Required range: 1 <= x <= 100

Response

OK

id
string<uuid>

Id of payment source.

name
string | null

Name of payment source.

type
string | null

Type of payment source.

expiry
string<date> | null

An optional date on which the payment source expires.

state
enum<string>
Available options:
initial,
active,
disabled,
not_supported,
invalid
provider
string | null
createdAt
string<date-time>